API Documentation
National Identity Number (NIN) IPE
Perform an Identity Pattern Extraction (IPE) to fetch deep metadata and historical tracking information associated with a given National Identity Number.
Endpoint
POST
/nin-ipe
Headers
| Header | Value | Required |
|---|---|---|
Authorization |
Bearer YOUR_API_TOKEN |
Required |
Accept |
application/json |
Required |
Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
nin |
string |
The 11-digit National Identity Number. | Required |
Example Request
cURL
curl -X POST "https://arewasmart.com.ng/api/nin-ipe" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-d "nin=12345678901"
Example Response
JSON
{
"status": true,
"message": "NIN IPE Successful",
"data": {
"nin": "12345678901",
"tracking_id": "ABC123XYZ890",
"extracted_patterns": {
"registration_center": "Lagos HQ",
"registration_date": "2015-08-21",
"fingerprint_status": "Complete",
"signature_status": "Captured"
},
"verification_history": [
{
"date": "2023-01-15T10:00:00Z",
"purpose": "Bank Account Opening"
}
]
}
}